# McCabe.pm (HCT::Metrics::McCabe).
#
# Copyright 2008, 2009
# Slade Maurer
#
# This file is part of HCT, the Hardware Complexity Tool
#
# HCT is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# HCT is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU Lesser General Public License
# along with HCT.  If not, see <http://www.gnu.org/licenses/>.

package HCT::Metrics::McCabe;

use strict;
use warnings;

use HCT::Metrics;

use vars qw (@ISA);

@ISA= qw ( HCT::Metrics::Obj );

#---------------------------------------------------------------------------
# Method:      new
# Description: constructor
# Returns:
#---------------------------------------------------------------------------

sub new
{
	my $self = shift->SUPER::new(@_);

	$self->{CCM} = 1;

	return $self;
}

#---------------------------------------------------------------------------
# Method:      compute
# Description:
# Returns:
#---------------------------------------------------------------------------

sub compute
{
	my ($self, $metricslist) = (shift, shift);
	
	if ( defined $metricslist->{'MCCABE'} ) {
		return ( 'MCCABE' => $self->{CCM} );
	}

}

1;
